Manifest-Version: 1.0
Automatic-Module-Name: org.apache.pdfbox
Bnd-LastModified: 1615827239530
Build-Jdk: 1.8.0_202
Built-By: lehmi
Bundle-Description: The Apache PDFBox library is an open source Java too
 l for working with PDF documents.
Bundle-DocURL: http://pdfbox.apache.org
Bundle-License: https://www.apache.org/licenses/LICENSE-2.0.txt
Bundle-ManifestVersion: 2
Bundle-Name: Apache PDFBox
Bundle-SymbolicName: org.apache.pdfbox
Bundle-Vendor: The Apache Software Foundation
Bundle-Version: 2.0.23
Created-By: Apache Maven Bundle Plugin
Export-Package: org.apache.pdfbox.cos;version="2.0.23";uses:="org.apache
 .pdfbox.filter,org.apache.pdfbox.io,org.apache.pdfbox.pdmodel.common",o
 rg.apache.pdfbox.contentstream;version="2.0.23";uses:="org.apache.pdfbo
 x.contentstream.operator,org.apache.pdfbox.cos,org.apache.pdfbox.pdmode
 l,org.apache.pdfbox.pdmodel.common,org.apache.pdfbox.pdmodel.font,org.a
 pache.pdfbox.pdmodel.graphics.color,org.apache.pdfbox.pdmodel.graphics.
 form,org.apache.pdfbox.pdmodel.graphics.image,org.apache.pdfbox.pdmodel
 .graphics.pattern,org.apache.pdfbox.pdmodel.graphics.state,org.apache.p
 dfbox.pdmodel.interactive.annotation,org.apache.pdfbox.util",org.apache
 .pdfbox.contentstream.operator;version="2.0.23";uses:="org.apache.pdfbo
 x.contentstream,org.apache.pdfbox.cos",org.apache.pdfbox.contentstream.
 operator.graphics;version="2.0.23";uses:="org.apache.pdfbox.contentstre
 am,org.apache.pdfbox.contentstream.operator,org.apache.pdfbox.cos",org.
 apache.pdfbox.contentstream.operator.color;version="2.0.23";uses:="org.
 apache.pdfbox.contentstream.operator,org.apache.pdfbox.cos,org.apache.p
 dfbox.pdmodel.graphics.color",org.apache.pdfbox.contentstream.operator.
 markedcontent;version="2.0.23";uses:="org.apache.pdfbox.contentstream.o
 perator,org.apache.pdfbox.cos",org.apache.pdfbox.contentstream.operator
 .state;version="2.0.23";uses:="org.apache.pdfbox.contentstream.operator
 ,org.apache.pdfbox.cos",org.apache.pdfbox.contentstream.operator.text;v
 ersion="2.0.23";uses:="org.apache.pdfbox.contentstream.operator,org.apa
 che.pdfbox.cos",org.apache.pdfbox.pdmodel;version="2.0.23";uses:="org.a
 pache.fontbox.ttf,org.apache.pdfbox.contentstream,org.apache.pdfbox.cos
 ,org.apache.pdfbox.io,org.apache.pdfbox.pdmodel.common,org.apache.pdfbo
 x.pdmodel.common.filespecification,org.apache.pdfbox.pdmodel.documentin
 terchange.logicalstructure,org.apache.pdfbox.pdmodel.documentinterchang
 e.markedcontent,org.apache.pdfbox.pdmodel.encryption,org.apache.pdfbox.
 pdmodel.fixup,org.apache.pdfbox.pdmodel.font,org.apache.pdfbox.pdmodel.
 graphics,org.apache.pdfbox.pdmodel.graphics.color,org.apache.pdfbox.pdm
 odel.graphics.form,org.apache.pdfbox.pdmodel.graphics.image,org.apache.
 pdfbox.pdmodel.graphics.optionalcontent,org.apache.pdfbox.pdmodel.graph
 ics.pattern,org.apache.pdfbox.pdmodel.graphics.shading,org.apache.pdfbo
 x.pdmodel.graphics.state,org.apache.pdfbox.pdmodel.interactive.action,o
 rg.apache.pdfbox.pdmodel.interactive.annotation,org.apache.pdfbox.pdmod
 el.interactive.digitalsignature,org.apache.pdfbox.pdmodel.interactive.d
 ocumentnavigation.destination,org.apache.pdfbox.pdmodel.interactive.doc
 umentnavigation.outline,org.apache.pdfbox.pdmodel.interactive.form,org.
 apache.pdfbox.pdmodel.interactive.measurement,org.apache.pdfbox.pdmodel
 .interactive.pagenavigation,org.apache.pdfbox.pdmodel.interactive.viewe
 rpreferences,org.apache.pdfbox.util",org.apache.pdfbox.pdmodel.common;v
 ersion="2.0.23";uses:="org.apache.fontbox.util,org.apache.pdfbox.cos,or
 g.apache.pdfbox.filter,org.apache.pdfbox.pdmodel,org.apache.pdfbox.pdmo
 del.common.filespecification,org.apache.pdfbox.util",org.apache.pdfbox.
 pdmodel.common.function;version="2.0.23";uses:="org.apache.pdfbox.cos,o
 rg.apache.pdfbox.pdmodel.common",org.apache.pdfbox.pdmodel.common.funct
 ion.type4;version="2.0.23",org.apache.pdfbox.pdmodel.common.filespecifi
 cation;version="2.0.23";uses:="org.apache.pdfbox.cos,org.apache.pdfbox.
 pdmodel,org.apache.pdfbox.pdmodel.common",org.apache.pdfbox.pdmodel.doc
 umentinterchange.prepress;version="2.0.23";uses:="org.apache.pdfbox.cos
 ,org.apache.pdfbox.pdmodel.common,org.apache.pdfbox.pdmodel.graphics,or
 g.apache.pdfbox.pdmodel.graphics.color",org.apache.pdfbox.pdmodel.docum
 entinterchange.logicalstructure;version="2.0.23";uses:="org.apache.pdfb
 ox.cos,org.apache.pdfbox.pdmodel,org.apache.pdfbox.pdmodel.common,org.a
 pache.pdfbox.pdmodel.documentinterchange.markedcontent,org.apache.pdfbo
 x.pdmodel.graphics,org.apache.pdfbox.pdmodel.interactive.annotation",or
 g.apache.pdfbox.pdmodel.documentinterchange.markedcontent;version="2.0.
 23";uses:="org.apache.pdfbox.cos,org.apache.pdfbox.pdmodel.common,org.a
 pache.pdfbox.pdmodel.graphics,org.apache.pdfbox.text",org.apache.pdfbox
 .pdmodel.documentinterchange.taggedpdf;version="2.0.23";uses:="org.apac
 he.pdfbox.cos,org.apache.pdfbox.pdmodel.common,org.apache.pdfbox.pdmode
 l.documentinterchange.logicalstructure,org.apache.pdfbox.pdmodel.docume
 ntinterchange.markedcontent,org.apache.pdfbox.pdmodel.graphics.color",o
 rg.apache.pdfbox.pdmodel.interactive.documentnavigation.outline;version
 ="2.0.23";uses:="org.apache.pdfbox.cos,org.apache.pdfbox.pdmodel,org.ap
 ache.pdfbox.pdmodel.common,org.apache.pdfbox.pdmodel.documentinterchang
 e.logicalstructure,org.apache.pdfbox.pdmodel.graphics.color,org.apache.
 pdfbox.pdmodel.interactive.action,org.apache.pdfbox.pdmodel.interactive
 .documentnavigation.destination",org.apache.pdfbox.pdmodel.interactive.
 documentnavigation.destination;version="2.0.23";uses:="org.apache.pdfbo
 x.cos,org.apache.pdfbox.pdmodel,org.apache.pdfbox.pdmodel.common",org.a
 pache.pdfbox.pdmodel.interactive.pagenavigation;version="2.0.23";uses:=
 "org.apache.pdfbox.cos,org.apache.pdfbox.pdmodel,org.apache.pdfbox.pdmo
 del.common",org.apache.pdfbox.pdmodel.interactive.measurement;version="
 2.0.23";uses:="org.apache.pdfbox.cos,org.apache.pdfbox.pdmodel.common",
 org.apache.pdfbox.pdmodel.interactive.action;version="2.0.23";uses:="or
 g.apache.pdfbox.cos,org.apache.pdfbox.pdmodel.common,org.apache.pdfbox.
 pdmodel.common.filespecification,org.apache.pdfbox.pdmodel.interactive.
 documentnavigation.destination",org.apache.pdfbox.pdmodel.interactive.v
 iewerpreferences;version="2.0.23";uses:="org.apache.pdfbox.cos,org.apac
 he.pdfbox.pdmodel.common",org.apache.pdfbox.pdmodel.interactive.digital
 signature;version="2.0.23";uses:="org.apache.pdfbox.cos,org.apache.pdfb
 ox.pdfwriter,org.apache.pdfbox.pdmodel.common,org.apache.pdfbox.pdmodel
 .interactive.digitalsignature.visible",org.apache.pdfbox.pdmodel.intera
 ctive.digitalsignature.visible;version="2.0.23";uses:="org.apache.pdfbo
 x.cos,org.apache.pdfbox.pdmodel,org.apache.pdfbox.pdmodel.common,org.ap
 ache.pdfbox.pdmodel.graphics.form,org.apache.pdfbox.pdmodel.graphics.im
 age,org.apache.pdfbox.pdmodel.interactive.annotation,org.apache.pdfbox.
 pdmodel.interactive.digitalsignature,org.apache.pdfbox.pdmodel.interact
 ive.form",org.apache.pdfbox.pdmodel.interactive.annotation;version="2.0
 .23";uses:="org.apache.pdfbox.cos,org.apache.pdfbox.pdmodel,org.apache.
 pdfbox.pdmodel.common,org.apache.pdfbox.pdmodel.common.filespecificatio
 n,org.apache.pdfbox.pdmodel.documentinterchange.markedcontent,org.apach
 e.pdfbox.pdmodel.graphics,org.apache.pdfbox.pdmodel.graphics.color,org.
 apache.pdfbox.pdmodel.graphics.form,org.apache.pdfbox.pdmodel.interacti
 ve.action,org.apache.pdfbox.pdmodel.interactive.annotation.handlers,org
 .apache.pdfbox.pdmodel.interactive.documentnavigation.destination,org.a
 pache.pdfbox.pdmodel.interactive.form",org.apache.pdfbox.pdmodel.intera
 ctive.annotation.layout;version="2.0.23";uses:="org.apache.pdfbox.pdmod
 el,org.apache.pdfbox.pdmodel.font",org.apache.pdfbox.pdmodel.interactiv
 e.annotation.handlers;version="2.0.23";uses:="org.apache.pdfbox.cos,org
 .apache.pdfbox.pdmodel,org.apache.pdfbox.pdmodel.interactive.annotation
 ",org.apache.pdfbox.pdmodel.interactive.form;version="2.0.23";uses:="ja
 vax.xml.parsers,org.apache.pdfbox.cos,org.apache.pdfbox.pdmodel,org.apa
 che.pdfbox.pdmodel.common,org.apache.pdfbox.pdmodel.fdf,org.apache.pdfb
 ox.pdmodel.interactive.action,org.apache.pdfbox.pdmodel.interactive.ann
 otation,org.apache.pdfbox.pdmodel.interactive.digitalsignature,org.w3c.
 dom,org.xml.sax",org.apache.pdfbox.pdmodel.graphics.pattern;version="2.
 0.23";uses:="org.apache.pdfbox.contentstream,org.apache.pdfbox.cos,org.
 apache.pdfbox.pdmodel,org.apache.pdfbox.pdmodel.common,org.apache.pdfbo
 x.pdmodel.graphics.shading,org.apache.pdfbox.pdmodel.graphics.state,org
 .apache.pdfbox.util",org.apache.pdfbox.pdmodel.graphics;version="2.0.23
 ";uses:="org.apache.pdfbox.cos,org.apache.pdfbox.pdmodel,org.apache.pdf
 box.pdmodel.common,org.apache.pdfbox.pdmodel.font",org.apache.pdfbox.pd
 model.graphics.color;version="2.0.23";uses:="org.apache.pdfbox.cos,org.
 apache.pdfbox.pdmodel,org.apache.pdfbox.pdmodel.common,org.apache.pdfbo
 x.pdmodel.common.function,org.apache.pdfbox.pdmodel.graphics.pattern,or
 g.apache.pdfbox.util",org.apache.pdfbox.pdmodel.graphics.blend;version=
 "2.0.23";uses:="org.apache.pdfbox.cos",org.apache.pdfbox.pdmodel.graphi
 cs.image;version="2.0.23";uses:="org.apache.pdfbox.cos,org.apache.pdfbo
 x.filter,org.apache.pdfbox.io,org.apache.pdfbox.pdmodel,org.apache.pdfb
 ox.pdmodel.common,org.apache.pdfbox.pdmodel.documentinterchange.markedc
 ontent,org.apache.pdfbox.pdmodel.graphics,org.apache.pdfbox.pdmodel.gra
 phics.color",org.apache.pdfbox.pdmodel.graphics.form;version="2.0.23";u
 ses:="org.apache.pdfbox.contentstream,org.apache.pdfbox.cos,org.apache.
 pdfbox.pdmodel,org.apache.pdfbox.pdmodel.common,org.apache.pdfbox.pdmod
 el.documentinterchange.markedcontent,org.apache.pdfbox.pdmodel.graphics
 ,org.apache.pdfbox.pdmodel.graphics.color,org.apache.pdfbox.util",org.a
 pache.pdfbox.pdmodel.graphics.optionalcontent;version="2.0.23";uses:="o
 rg.apache.pdfbox.cos,org.apache.pdfbox.pdmodel.common,org.apache.pdfbox
 .pdmodel.documentinterchange.markedcontent,org.apache.pdfbox.rendering"
 ,org.apache.pdfbox.pdmodel.graphics.state;version="2.0.23";uses:="org.a
 pache.pdfbox.cos,org.apache.pdfbox.pdmodel.common,org.apache.pdfbox.pdm
 odel.common.function,org.apache.pdfbox.pdmodel.font,org.apache.pdfbox.p
 dmodel.graphics,org.apache.pdfbox.pdmodel.graphics.blend,org.apache.pdf
 box.pdmodel.graphics.color,org.apache.pdfbox.pdmodel.graphics.form,org.
 apache.pdfbox.util",org.apache.pdfbox.pdmodel.graphics.shading;version=
 "2.0.23";uses:="org.apache.pdfbox.cos,org.apache.pdfbox.pdmodel.common,
 org.apache.pdfbox.pdmodel.common.function,org.apache.pdfbox.pdmodel.gra
 phics.color,org.apache.pdfbox.util",org.apache.pdfbox.pdmodel.fixup;ver
 sion="2.0.23";uses:="org.apache.pdfbox.pdmodel",org.apache.pdfbox.pdmod
 el.fixup.processor;version="2.0.23";uses:="org.apache.pdfbox.pdmodel",o
 rg.apache.pdfbox.pdmodel.encryption;version="2.0.23";uses:="org.apache.
 pdfbox.cos,org.apache.pdfbox.pdmodel,org.apache.pdfbox.pdmodel.common",
 org.apache.pdfbox.pdmodel.font;version="2.0.23";uses:="org.apache.fontb
 ox,org.apache.fontbox.afm,org.apache.fontbox.cff,org.apache.fontbox.cma
 p,org.apache.fontbox.ttf,org.apache.fontbox.type1,org.apache.fontbox.ut
 il,org.apache.pdfbox.contentstream,org.apache.pdfbox.cos,org.apache.pdf
 box.pdmodel,org.apache.pdfbox.pdmodel.common,org.apache.pdfbox.pdmodel.
 font.encoding,org.apache.pdfbox.util",org.apache.pdfbox.pdmodel.font.en
 coding;version="2.0.23";uses:="org.apache.fontbox.afm,org.apache.fontbo
 x.encoding,org.apache.pdfbox.cos,org.apache.pdfbox.pdmodel.common",org.
 apache.pdfbox.pdmodel.fdf;version="2.0.23";uses:="org.apache.pdfbox.cos
 ,org.apache.pdfbox.pdmodel.common,org.apache.pdfbox.pdmodel.common.file
 specification,org.apache.pdfbox.pdmodel.interactive.action,org.apache.p
 dfbox.pdmodel.interactive.annotation,org.apache.pdfbox.pdmodel.interact
 ive.digitalsignature,org.w3c.dom",org.apache.pdfbox.multipdf;version="2
 .0.23";uses:="org.apache.pdfbox.cos,org.apache.pdfbox.io,org.apache.pdf
 box.pdmodel,org.apache.pdfbox.pdmodel.common,org.apache.pdfbox.pdmodel.
 graphics.form,org.apache.pdfbox.pdmodel.graphics.optionalcontent",org.a
 pache.pdfbox.filter;version="2.0.23";uses:="javax.imageio,org.apache.pd
 fbox.cos,org.apache.pdfbox.pdmodel.graphics.color",org.apache.pdfbox.pd
 fwriter;version="2.0.23";uses:="org.apache.pdfbox.contentstream.operato
 r,org.apache.pdfbox.cos,org.apache.pdfbox.io,org.apache.pdfbox.pdmodel,
 org.apache.pdfbox.pdmodel.fdf,org.apache.pdfbox.pdmodel.interactive.dig
 italsignature",org.apache.pdfbox.rendering;version="2.0.23";uses:="org.
 apache.pdfbox.contentstream,org.apache.pdfbox.cos,org.apache.pdfbox.pdm
 odel,org.apache.pdfbox.pdmodel.common,org.apache.pdfbox.pdmodel.font,or
 g.apache.pdfbox.pdmodel.graphics.color,org.apache.pdfbox.pdmodel.graphi
 cs.form,org.apache.pdfbox.pdmodel.graphics.image,org.apache.pdfbox.pdmo
 del.graphics.optionalcontent,org.apache.pdfbox.pdmodel.interactive.anno
 tation,org.apache.pdfbox.util",org.apache.pdfbox.util;version="2.0.23";
 uses:="org.apache.pdfbox.cos,org.w3c.dom",org.apache.pdfbox.util.filety
 pedetector;version="2.0.23",org.apache.pdfbox.printing;version="2.0.23"
 ;uses:="org.apache.pdfbox.pdmodel,org.apache.pdfbox.rendering",org.apac
 he.pdfbox.pdfparser;version="2.0.23";uses:="org.apache.pdfbox.contentst
 ream,org.apache.pdfbox.cos,org.apache.pdfbox.io,org.apache.pdfbox.pdfwr
 iter,org.apache.pdfbox.pdmodel,org.apache.pdfbox.pdmodel.common,org.apa
 che.pdfbox.pdmodel.encryption",org.apache.pdfbox.io;version="2.0.23";us
 es:="org.apache.commons.logging",org.apache.pdfbox.text;version="2.0.23
 ";uses:="org.apache.pdfbox.cos,org.apache.pdfbox.pdmodel,org.apache.pdf
 box.pdmodel.documentinterchange.markedcontent,org.apache.pdfbox.pdmodel
 .font,org.apache.pdfbox.pdmodel.graphics,org.apache.pdfbox.pdmodel.inte
 ractive.documentnavigation.outline,org.apache.pdfbox.util"
Implementation-Title: Apache PDFBox
Implementation-Vendor: The Apache Software Foundation
Implementation-Vendor-Id: org.apache.pdfbox
Implementation-Version: 2.0.23
Import-Package: javax.crypto,javax.crypto.spec,javax.imageio,javax.image
 io.metadata,javax.imageio.plugins.jpeg,javax.imageio.stream,javax.xml.n
 amespace,javax.xml.parsers,javax.xml.xpath,org.apache.commons.logging;v
 ersion="[1.2,2)",org.apache.fontbox;version="[2.0,3)",org.apache.fontbo
 x.afm;version="[2.0,3)",org.apache.fontbox.cff;version="[2.0,3)",org.ap
 ache.fontbox.cmap;version="[2.0,3)",org.apache.fontbox.encoding;version
 ="[2.0,3)",org.apache.fontbox.pfb;version="[2.0,3)",org.apache.fontbox.
 ttf;version="[2.0,3)",org.apache.fontbox.type1;version="[2.0,3)",org.ap
 ache.fontbox.util;version="[2.0,3)",org.apache.fontbox.util.autodetect;
 version="[2.0,3)",org.bouncycastle.asn1;version="[1.64,2)";resolution:=
 optional,org.bouncycastle.asn1.cms;version="[1.64,2)";resolution:=optio
 nal,org.bouncycastle.asn1.pkcs;version="[1.64,2)";resolution:=optional,
 org.bouncycastle.asn1.x500;version="[1.64,2)";resolution:=optional,org.
 bouncycastle.asn1.x509;version="[1.64,2)";resolution:=optional,org.boun
 cycastle.cert;version="[1.64,2)";resolution:=optional,org.bouncycastle.
 cms;version="[1.64,2)";resolution:=optional,org.bouncycastle.cms.jcajce
 ;version="[1.64,2)";resolution:=optional,org.w3c.dom,org.xml.sax
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.6))"
Specification-Title: Apache PDFBox
Specification-Vendor: The Apache Software Foundation
Specification-Version: 2.0.23
Tool: Bnd-2.4.1.201501161923
